package cn.iocoder.yudao.framework.sms.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 返回状态
 * @author Jayden
 * @date 2024/11/23
 */
@Getter
@AllArgsConstructor
public enum SendChampReceiveStatusEnum {

    SENT("sent","The message has been sent successfully."),
    DELIVERED("delivered","The message has been delivered to the customer."),
    PENDING("pending","The message has been sent to a downstream mobile operator and provider and we are waiting for Delivery Report to be returned."),
    FAILED("failed","The message couldn't be sent and delivered. More detail can be found in the reason and the error code."),
    LOW_FUNDS("low_funds","The message failed due to insufficient funds."),
    REJECTED("rejected","The message has been rejected, this is usually due to malicious requests."),
    EXPIRED("expired","The message session has expired.");

    private final String code;
    private final String description;
}
